import os

ASSETS_DIR = os.path.join(os.path.dirname(os.path.dirname(__file__)), "assets")


def get_asset(name: str) -> str:
    absolute_path = os.path.join(ASSETS_DIR, name)
    if not os.path.exists(absolute_path):
        raise FileNotFoundError(f"Asset not found: {absolute_path}")
    return os.path.abspath(absolute_path)


__all__ = ["get_asset"]
